hi...

i had 1.0.2 jailbreak and activated for my t-mobile network. Before few days i update to 1.1.2 and after that downgrade to 1.1.1 which i have now. Bootloader is 3.9 and baseband is 04.02.13. Problem is that i cant activate iphone for my sim card. i tryed with anySIM but it didnt success. What i need to do if i want to have again phone which work on my t-mobile simcard. which software (1.0.2 or 1.1.1) it is not important for me, i wont that my iphobne works... i found lots of tutorials but i dont know witch to use....
if i am right i need to downgreda baseband and after that downgrade on 1.0.2


thx, sorry for my bad english